package com.huimv.management.controller;

import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;
import com.huimv.management.service.DrinkingWaterService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 饮用水指标controller
 * </p>
 *
 * @author yinhao
 * @date 2021/6/11 16:35
 */
@Api(tags = "饮用水指标Controller")
@RestController
@RequestMapping("management/drinkingWater")
public class DrinkingWaterController {

    @Autowired
    private DrinkingWaterService drinkingWaterService;

    /**
     * 列表
     */
    @GetMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = drinkingWaterService.queryPage(params);
        return R.ok().put("page", page);
    }
}
