package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huimv.management.entity.YearPigBaseEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.vo.CountOut;
import com.huimv.management.entity.vo.DrinkingWaterVo;
import com.huimv.management.entity.vo.PigBaseVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 年猪基本
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 * mp封装了一些最基础的CRUD方法，只需要直接继承mp提供的接口，无需编写任何SQL，即可食用。
 * mp提供了两套接口，分别是Mapper CRUD接口和Service CRUD接口。并且mp还提供了条件构造器Wrapper，可以方便地组装SQL语句中的WHERE条件。
 */
@Mapper
public interface YearPigBaseDao extends BaseMapper<YearPigBaseEntity> {


    void such(Integer[] ids);

    IPage<PigBaseVo> list(@Param("page")IPage page, @Param("ew") QueryWrapper<DrinkingWaterVo> queryWrapper);

    List<CountOut> suchStatistics(@Param("farmId") Integer farmId,@Param("ew") QueryWrapper<YearPigBaseEntity> wrapper);

    List<CountOut> suchStatisticsMonth(@Param("farmId") Integer farmId,@Param("ew") QueryWrapper<YearPigBaseEntity> wrapper);
}
