package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 病历档案
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Data
@TableName("health_medical_record")
public class HealthMedicalRecordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 内部编号
	 */
	private String pigId;
	/**
	 * 疾病名称
	 */
	private String diseaseName;
	/**
	 * 症状
	 */
	private String symptomName;
	/**
	 * 病因
	 */
	private String causeName;
	/**
	 * 发病时间
	 */
	private Date diseaseTime;
	/**
	 * 兽医姓名
	 */
	private String doctor;
	/**
	 * 兽医id
	 */
	private Integer doctorId;
	/**
	 * 诊断时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date diagnosisTime;
	/**
	 * 治疗方案
	 */
	private String treatmentPlan;
	/**
	 * 治疗结果
  1:康复 2：死亡，无害化处理
	 */
	private Integer result;
	/**
	 * 所属牧场
	 */
	private Integer farmId;
	/**
	 * 数据有效性
   1：有效（默认） 0：无效
	 */
	@TableLogic(delval = "0",value = "1")
	private Integer effective;
	/**
	 * 隔离状态
   1：未隔离 2：隔离
	 */
	private Integer isolationStatus;
	/**
	 * 出栏时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date offTime;
	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

}
