package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 治疗方案
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Data
@TableName("health_treatment_plan")
public class HealthTreatmentPlanEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 对应疾病
	 */
	private String diseaseCode;
	/**
	 * 药物名称
	 */
	private String medicantName;
	/**
	 * 药品用法
	 */
	private String medicantUsage;
	/**
	 * 描述
	 */
	private String description;
	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

}
